geos::algorithm::distance::PointPairDistance Class Reference

`#include <PointPairDistance.h>`

## Public Member Functions

void | initialize ()
void | initialize (const geom::CoordinateXY &p0, const geom::CoordinateXY &p1)
double | getDistance () const
const std::array< geom::CoordinateXY, 2 > & | getCoordinates () const
const geom::CoordinateXY & | getCoordinate (std::size_t i) const
void | setMaximum (const PointPairDistance &ptDist)
void | setMaximum (const geom::CoordinateXY &p0, const geom::CoordinateXY &p1)
void | setMinimum (const PointPairDistance &ptDist)
void | setMinimum (const geom::CoordinateXY &p0, const geom::CoordinateXY &p1)
bool | getIsNull ()
void | initialize (const geom::CoordinateXY &p0, const geom::CoordinateXY &p1, double distSquared)

## Detailed Description

Contains a pair of points and the distance between them. Provides methods to update with a new point pair with either maximum or minimum distance.

## Member Function Documentation

## initialize()

void geos::algorithm::distance::PointPairDistance::initialize | ( | const geom::CoordinateXY & | p0,
|  | const geom::CoordinateXY & | p1,
|  | double | distSquared )

inline

Initializes the points, avoiding recomputing the distance.

Parameters

  p0 |
  p1 |
  distSquared | the squared distance between p0 and p1

The documentation for this class was generated from the following file:

- PointPairDistance.h